# Makefile.in generated by automake 1.7.1 from Makefile.am.
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# Initializations.

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = @host@
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BIN_TARGET = @BIN_TARGET@
BUILD_GUILE = @BUILD_GUILE@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
GUILE = @GUILE@
GUILEMODDIR = @GUILEMODDIR@
GUILEMOD_TARGET = @GUILEMOD_TARGET@
GUILE_LIBS = @GUILE_LIBS@
GUILE_SCMDIR = @GUILE_SCMDIR@
GUILE_TARGET = @GUILE_TARGET@
GW_BUILD_GUILE_GTK = @GW_BUILD_GUILE_GTK@
GW_GLIB_CONFIG = @GW_GLIB_CONFIG@
GW_GTK_CONFIG = @GW_GTK_CONFIG@
GW_GUILE_GTK_CFLAGS = @GW_GUILE_GTK_CFLAGS@
GW_GUILE_GTK_LIBFLAGS = @GW_GUILE_GTK_LIBFLAGS@
GW_HAVE_GLIB_FALSE = @GW_HAVE_GLIB_FALSE@
GW_HAVE_GLIB_TRUE = @GW_HAVE_GLIB_TRUE@
GW_HAVE_GTK_FALSE = @GW_HAVE_GTK_FALSE@
GW_HAVE_GTK_TRUE = @GW_HAVE_GTK_TRUE@
GW_HAVE_GUILE_GTK_FALSE = @GW_HAVE_GUILE_GTK_FALSE@
GW_HAVE_GUILE_GTK_TRUE = @GW_HAVE_GUILE_GTK_TRUE@
GW_WCT_INTERFACE_AGE = @GW_WCT_INTERFACE_AGE@
GW_WCT_INTERFACE_MAJOR_VER = @GW_WCT_INTERFACE_MAJOR_VER@
GW_WCT_INTERFACE_REVISION = @GW_WCT_INTERFACE_REVISION@
G_WRAP_LOAD_DIR = @G_WRAP_LOAD_DIR@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LGWRAP_GLIB_AGE = @LGWRAP_GLIB_AGE@
LGWRAP_GLIB_MAJOR_VER = @LGWRAP_GLIB_MAJOR_VER@
LGWRAP_GLIB_REVISION = @LGWRAP_GLIB_REVISION@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
RANLIB = @RANLIB@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
ac_ct_CC = @ac_ct_CC@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__include = @am__include@
am__quote = @am__quote@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@

CLEANFILES = gw-test-standard.scm gw-test-standard.h gw-test-standard.c gw-test-standard.html gw-test-standard-autogen.h gw-test-enumeration.scm gw-test-enumeration.h gw-test-enumeration.c gw-test-enumeration.html gw-test-enumeration-autogen.h gw-test-parent.scm gw-test-parent.h gw-test-parent.c gw-test-parent.html gw-test-parent-autogen.h gw-test-child.scm gw-test-child.h gw-test-child.c gw-test-child.html gw-test-child-autogen.h gw-test-glib.scm gw-test-glib.h gw-test-glib.c gw-test-glib.html gw-test-glib-autogen.h test-gw-gtkobj.scm test-gw-gtkobj.h test-gw-gtkobj.c test-gw-gtkobj.html test-gw-gtkobj-autogen.h
noinst_HEADERS = 

EXTRA_DIST = ${check_SCRIPTS} gw-guile test-gw-wct .cvsignore $(wildcard *-spec.scm)

@GW_HAVE_GLIB_TRUE@GW_GLIB_LIB_ADD = libgw-test-glib.la
@GW_HAVE_GLIB_TRUE@GW_GLIB_TEST_ADD = test-gw-glib
@GW_HAVE_GLIB_TRUE@GW_GLIB_CFLAGS_ADD = $(shell ${GW_GLIB_CONFIG} --cflags glib)
@GW_HAVE_GLIB_TRUE@GW_GLIB_LIBFLAGS_ADD = $(shell ${GW_GLIB_CONFIG} --libs glib)

@GW_HAVE_GUILE_GTK_TRUE@GW_GUILE_GTK_LIB_ADD = libtest-gw-gtkobj.la
@GW_HAVE_GUILE_GTK_TRUE@GW_GUILE_GTK_TEST_ADD = test-gtkobj
@GW_HAVE_GUILE_GTK_TRUE@GW_GUILE_GTK_CFLAGS_ADD = ${GW_GUILE_GTK_CFLAGS}
@GW_HAVE_GUILE_GTK_TRUE@GW_GUILE_GTK_LIBFLAGS_ADD = ${GW_GUILE_GTK_LIBFLAGS}

check_SCRIPTS = \
 guile-test-env \
 test-gw-standard \
 test-gw-wct \
 test-enumeration \
 test-gw-glib \
 test-gtkobj


TESTS = \
 test-gw-standard \
 test-gw-wct \
 test-enumeration \
 ${GW_GLIB_TEST_ADD} \
 ${GW_GUILE_GTK_TEST_ADD}



# ===========================================================================

# ======================================================================
# gw-test-standard

# ======================================================================
# gw-test-enumeration

# ======================================================================
# gw-test-parent

# ======================================================================
# gw-test-child
noinst_LTLIBRARIES = \
  ${GW_GLIB_LIB_ADD} \
  ${GW_GUILE_GTK_LIB_ADD} \
libg-wrap-test-c-code.la libgw-test-standard.la libgw-test-enumeration.la libgw-test-parent.la libgw-test-child.la

LOCALPWD = $(shell pwd)
G_WRAP_MODULE_DIR = ${LOCALPWD}/..


# ===========================================================================
noinst_PROGRAMS = test-link-wct
test_link_wct_SOURCES = dummy-main.c
test_link_wct_LDADD = ../g-wrap/libgw-wct.la


# ===========================================================================
AM_CFLAGS = -O2 -Wall -Wno-uninitialized -Werror -g \
 -I ${top_srcdir}/g-wrap \
 ${GW_GLIB_CFLAGS_ADD} \
 ${GW_GUILE_GTK_CFLAGS_ADD}

libg_wrap_test_c_code_la_SOURCES = g-wrap-test-c-code.c g-wrap-test-c-code.h
libg_wrap_test_c_code_la_LDFLAGS = -rpath $(libdir) -module -export-dynamic \
  ${GUILE_LIBS} \
  ${GW_GLIB_LIBFLAGS_ADD}

libg_wrap_test_c_code_la_LIBADD = 
nodist_libgw_test_standard_la_SOURCES = gw-test-standard.c
libgw_test_standard_la_LDFLAGS = -rpath $(libdir) -module -export-dynamic
libgw_test_standard_la_LIBADD = ./libg-wrap-test-c-code.la ${GUILE_LIBS}
nodist_libgw_test_enumeration_la_SOURCES = gw-test-enumeration.c
libgw_test_enumeration_la_LDFLAGS = -rpath $(libdir) -module -export-dynamic
libgw_test_enumeration_la_LIBADD = ./libg-wrap-test-c-code.la ${GUILE_LIBS}
nodist_libgw_test_parent_la_SOURCES = gw-test-parent.c
libgw_test_parent_la_LDFLAGS = -rpath $(libdir) -module -export-dynamic
libgw_test_parent_la_LIBADD = ./libg-wrap-test-c-code.la ../g-wrap/libgw-wct.la
nodist_libgw_test_child_la_SOURCES = gw-test-child.c
libgw_test_child_la_LDFLAGS = -rpath $(libdir) -module -export-dynamic
libgw_test_child_la_LIBADD = ./libg-wrap-test-c-code.la


# ======================================================================
# gw-test-glib
@GW_HAVE_GLIB_TRUE@nodist_libgw_test_glib_la_SOURCES = gw-test-glib.c
@GW_HAVE_GLIB_TRUE@libgw_test_glib_la_LDFLAGS = -rpath $(libdir) -module -export-dynamic
@GW_HAVE_GLIB_TRUE@libgw_test_glib_la_LIBADD = \
@GW_HAVE_GLIB_TRUE@  ../g-wrap/libgwrap-glib.la ./libg-wrap-test-c-code.la ${GUILE_LIBS}



# ======================================================================
# test-gw-gtkobj
@GW_HAVE_GUILE_GTK_TRUE@nodist_libtest_gw_gtkobj_la_SOURCES = test-gw-gtkobj.c
@GW_HAVE_GUILE_GTK_TRUE@libtest_gw_gtkobj_la_LDFLAGS = -rpath $(libdir) -module -export-dynamic
@GW_HAVE_GUILE_GTK_TRUE@libtest_gw_gtkobj_la_LIBADD = ${GW_GUILE_GTK_LIBFLAGS_ADD}
subdir = test
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libg_wrap_test_c_code_la_DEPENDENCIES =
am_libg_wrap_test_c_code_la_OBJECTS = g-wrap-test-c-code.lo
libg_wrap_test_c_code_la_OBJECTS = \
	$(am_libg_wrap_test_c_code_la_OBJECTS)
libgw_test_child_la_DEPENDENCIES = ./libg-wrap-test-c-code.la
nodist_libgw_test_child_la_OBJECTS = gw-test-child.lo
libgw_test_child_la_OBJECTS = $(nodist_libgw_test_child_la_OBJECTS)
libgw_test_enumeration_la_DEPENDENCIES = ./libg-wrap-test-c-code.la
nodist_libgw_test_enumeration_la_OBJECTS = gw-test-enumeration.lo
libgw_test_enumeration_la_OBJECTS = \
	$(nodist_libgw_test_enumeration_la_OBJECTS)
@GW_HAVE_GLIB_TRUE@libgw_test_glib_la_DEPENDENCIES = \
@GW_HAVE_GLIB_TRUE@	../g-wrap/libgwrap-glib.la \
@GW_HAVE_GLIB_TRUE@	./libg-wrap-test-c-code.la
@GW_HAVE_GLIB_FALSE@libgw_test_glib_la_DEPENDENCIES =
@GW_HAVE_GLIB_TRUE@nodist_libgw_test_glib_la_OBJECTS = gw-test-glib.lo
libgw_test_glib_la_OBJECTS = $(nodist_libgw_test_glib_la_OBJECTS)
libgw_test_parent_la_DEPENDENCIES = ./libg-wrap-test-c-code.la \
	../g-wrap/libgw-wct.la
nodist_libgw_test_parent_la_OBJECTS = gw-test-parent.lo
libgw_test_parent_la_OBJECTS = $(nodist_libgw_test_parent_la_OBJECTS)
libgw_test_standard_la_DEPENDENCIES = ./libg-wrap-test-c-code.la
nodist_libgw_test_standard_la_OBJECTS = gw-test-standard.lo
libgw_test_standard_la_OBJECTS = \
	$(nodist_libgw_test_standard_la_OBJECTS)
@GW_HAVE_GUILE_GTK_TRUE@libtest_gw_gtkobj_la_DEPENDENCIES =
@GW_HAVE_GUILE_GTK_FALSE@libtest_gw_gtkobj_la_DEPENDENCIES =
@GW_HAVE_GUILE_GTK_TRUE@nodist_libtest_gw_gtkobj_la_OBJECTS = \
@GW_HAVE_GUILE_GTK_TRUE@	test-gw-gtkobj.lo
libtest_gw_gtkobj_la_OBJECTS = $(nodist_libtest_gw_gtkobj_la_OBJECTS)
noinst_PROGRAMS = test-link-wct$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)

am_test_link_wct_OBJECTS = dummy-main.$(OBJEXT)
test_link_wct_OBJECTS = $(am_test_link_wct_OBJECTS)
test_link_wct_DEPENDENCIES = ../g-wrap/libgw-wct.la
test_link_wct_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/dummy-main.Po \
@AMDEP_TRUE@	./$(DEPDIR)/g-wrap-test-c-code.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/gw-test-child.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/gw-test-enumeration.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/gw-test-glib.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/gw-test-parent.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/gw-test-standard.Plo \
@AMDEP_TRUE@	./$(DEPDIR)/test-gw-gtkobj.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libg_wrap_test_c_code_la_SOURCES) \
	$(test_link_wct_SOURCES)
HEADERS = $(noinst_HEADERS)

DIST_COMMON = $(noinst_HEADERS) Makefile.am Makefile.in
SOURCES = $(libg_wrap_test_c_code_la_SOURCES) $(nodist_libgw_test_child_la_SOURCES) $(nodist_libgw_test_enumeration_la_SOURCES) $(nodist_libgw_test_glib_la_SOURCES) $(nodist_libgw_test_parent_la_SOURCES) $(nodist_libgw_test_standard_la_SOURCES) $(nodist_libtest_gw_gtkobj_la_SOURCES) $(test_link_wct_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  test/Makefile
Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libg-wrap-test-c-code.la: $(libg_wrap_test_c_code_la_OBJECTS) $(libg_wrap_test_c_code_la_DEPENDENCIES) 
	$(LINK)  $(libg_wrap_test_c_code_la_LDFLAGS) $(libg_wrap_test_c_code_la_OBJECTS) $(libg_wrap_test_c_code_la_LIBADD) $(LIBS)
libgw-test-child.la: $(libgw_test_child_la_OBJECTS) $(libgw_test_child_la_DEPENDENCIES) 
	$(LINK)  $(libgw_test_child_la_LDFLAGS) $(libgw_test_child_la_OBJECTS) $(libgw_test_child_la_LIBADD) $(LIBS)
libgw-test-enumeration.la: $(libgw_test_enumeration_la_OBJECTS) $(libgw_test_enumeration_la_DEPENDENCIES) 
	$(LINK)  $(libgw_test_enumeration_la_LDFLAGS) $(libgw_test_enumeration_la_OBJECTS) $(libgw_test_enumeration_la_LIBADD) $(LIBS)
libgw-test-glib.la: $(libgw_test_glib_la_OBJECTS) $(libgw_test_glib_la_DEPENDENCIES) 
	$(LINK)  $(libgw_test_glib_la_LDFLAGS) $(libgw_test_glib_la_OBJECTS) $(libgw_test_glib_la_LIBADD) $(LIBS)
libgw-test-parent.la: $(libgw_test_parent_la_OBJECTS) $(libgw_test_parent_la_DEPENDENCIES) 
	$(LINK)  $(libgw_test_parent_la_LDFLAGS) $(libgw_test_parent_la_OBJECTS) $(libgw_test_parent_la_LIBADD) $(LIBS)
libgw-test-standard.la: $(libgw_test_standard_la_OBJECTS) $(libgw_test_standard_la_DEPENDENCIES) 
	$(LINK)  $(libgw_test_standard_la_LDFLAGS) $(libgw_test_standard_la_OBJECTS) $(libgw_test_standard_la_LIBADD) $(LIBS)
libtest-gw-gtkobj.la: $(libtest_gw_gtkobj_la_OBJECTS) $(libtest_gw_gtkobj_la_DEPENDENCIES) 
	$(LINK)  $(libtest_gw_gtkobj_la_LDFLAGS) $(libtest_gw_gtkobj_la_OBJECTS) $(libtest_gw_gtkobj_la_LIBADD) $(LIBS)

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
test-link-wct$(EXEEXT): $(test_link_wct_OBJECTS) $(test_link_wct_DEPENDENCIES) 
	@rm -f test-link-wct$(EXEEXT)
	$(LINK) $(test_link_wct_LDFLAGS) $(test_link_wct_OBJECTS) $(test_link_wct_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dummy-main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/g-wrap-test-c-code.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gw-test-child.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gw-test-enumeration.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gw-test-glib.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gw-test-parent.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gw-test-standard.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-gw-gtkobj.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'`; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'`

.c.lo:
@am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
	        xpass=`expr $$xpass + 1`; \
	        failed=`expr $$failed + 1`; \
	        echo "XPASS: $$tst"; \
	      ;; \
	      *) \
	        echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
	        xfail=`expr $$xfail + 1`; \
	        echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
	        failed=`expr $$failed + 1`; \
	        echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -gt `echo "$$banner" | wc -c` && \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -gt `echo "$$banner" | wc -c` && \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -n "$$skipped" && echo "$$skipped"; \
	  test -n "$$report" && echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_SCRIPTS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS)

installdirs:

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
	clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
	clean-generic clean-libtool clean-noinstLTLIBRARIES \
	clean-noinstPROGRAMS ctags distclean distclean-compile \
	distclean-depend distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am info info-am install \
	install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool pdf \
	pdf-am ps ps-am tags uninstall uninstall-am uninstall-info-am


gw-test-standard.scm gw-test-standard.h gw-test-standard.c gw-test-standard.html gw-test-standard-autogen.h: gw-test-standard-spec.scm
	LD_LIBRARY_PATH=${LOCALPWD}/..:${LOCALPWD}/..: \
	guile -c \
	  "(debug-enable 'backtrace) \
           (debug-enable 'debug) \
           (read-enable 'positions) \
           (set! %load-path (cons \"${G_WRAP_MODULE_DIR}\" %load-path)) \
           (use-modules (g-wrap)) \
           (primitive-load \"./gw-test-standard-spec.scm\") \
           (gw:generate-wrapset \"gw-test-standard\")"

gw-test-enumeration.scm gw-test-enumeration.h gw-test-enumeration.c gw-test-enumeration.html gw-test-enumeration-autogen.h: gw-test-enumeration-spec.scm
	LD_LIBRARY_PATH=${LOCALPWD}/..:${LOCALPWD}/..:${LD_LIBRARY_PATH} \
	guile -c \
	  "(debug-enable 'backtrace) \
           (debug-enable 'debug) \
           (read-enable 'positions) \
           (set! %load-path (cons \"${G_WRAP_MODULE_DIR}\" %load-path)) \
           (use-modules (g-wrap)) \
           (primitive-load \"./gw-test-enumeration-spec.scm\") \
           (gw:generate-wrapset \"gw-test-enumeration\")"

#           (read-enable 'positions) \
#

gw-test-parent.scm gw-test-parent.h gw-test-parent.c gw-test-parent.html gw-test-parent-autogen.h: gw-test-parent-spec.scm
	LD_LIBRARY_PATH=${LOCALPWD}/..:${LOCALPWD}/..:${LD_LIBRARY_PATH} \
	guile -c \
	  "(debug-enable 'backtrace) \
           (debug-enable 'debug) \
           (set! %load-path (cons \"${G_WRAP_MODULE_DIR}\" %load-path)) \
           (use-modules (g-wrap)) \
           (primitive-load \"./gw-test-parent-spec.scm\") \
           (gw:generate-wrapset \"gw-test-parent\")"

gw-test-child.scm gw-test-child.h gw-test-child.c gw-test-child.html gw-test-child-autogen.h: gw-test-child-spec.scm
	LD_LIBRARY_PATH=${LOCALPWD}/..:${LOCALPWD}/..: \
	guile -c \
          "(set! %load-path (cons \"${G_WRAP_MODULE_DIR}\" %load-path)) \
           (use-modules (g-wrap)) \
           (primitive-load \"./gw-test-parent-spec.scm\") \
           (primitive-load \"./gw-test-child-spec.scm\") \
           (gw:generate-wrapset \"gw-test-child\")"

gw-test-glib.scm gw-test-glib.h gw-test-glib.c gw-test-glib.html gw-test-glib-autogen.h: gw-test-glib-spec.scm
	LD_LIBRARY_PATH=${LOCALPWD}/..:${LOCALPWD}/..: \
	guile -c \
	  "(debug-enable 'backtrace) \
           (debug-enable 'debug) \
           (read-enable 'positions) \
           (set! %load-path (cons \"${G_WRAP_MODULE_DIR}\" %load-path)) \
           (use-modules (g-wrap)) \
           (primitive-load \"./gw-test-glib-spec.scm\") \
           (gw:generate-wrapset \"gw-test-glib\")"

test-gw-gtkobj.scm test-gw-gtkobj.h test-gw-gtkobj.c test-gw-gtkobj.html test-gw-gtkobj-autogen.h: test-gw-gtkobj-spec.scm
	LD_LIBRARY_PATH=${LOCALPWD}/..:${LOCALPWD}/..: \
        guile -c \
          "(set! %load-path (cons \"${G_WRAP_MODULE_DIR}\" %load-path)) \
           (set! %load-path (cons \".\" %load-path)) \
           (use-modules (g-wrap)) \
           (use-modules (test-gw-gtkobj-spec)) \
           (gw:generate-wrapset \"test-gw-gtkobj\")"

# </test-gw-gtkobj>
# ====================================================================

${TESTS}:
	chmod a+x $@

.PHONY: ${TESTS}
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
